import request from '@/utils/request'

// 查询部门列表
export function listDept(query) {
  return request({
    url: '/merchant/merchantSysdept/list',
    method: 'get',
    params: query
  })
}

// 查询部门列表（排除节点）
export function listDeptExcludeChild(deptId) {
  return request({
    url: '/merchant/merchantSysdept/list/exclude/' + deptId,
    method: 'get'
  })
}

// 查询部门详细
export function getDept(deptId) {
  return request({
    url: '/merchant/merchantSysdept/' + deptId,
    method: 'get'
  })
}

// 新增部门
export function addDept(data) {
  return request({
    url: '/merchant/merchantSysdept',
    method: 'post',
    data: data
  })
}

// 修改部门
export function updateDept(data) {
  return request({
    url: '/merchant/merchantSysdept',
    method: 'put',
    data: data
  })
}

// 删除部门
export function delDept(deptId) {
  return request({
    url: '/merchant/merchantSysdept/' + deptId,
    method: 'delete'
  })
}
